<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class SettingSeeder extends Seeder
{

    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('settings')->insert([
            ['key' => 'website_name', 'value' => 'SHARE', 'created_at' => now()],
            ['key' => 'keywords', 'value' => Str::random(16), 'created_at' => now()],
            ['key' => 'meta_description', 'value' => Str::random(16), 'created_at' => now()],
            ['key' => 'site_email', 'value' => 'info@familylawyer.com', 'created_at' => now()],
            ['key' => 'site_address_ar', 'value' => Str::random(16), 'created_at' => now()],
            ['key' => 'site_address_en', 'value' => Str::random(16), 'created_at' => now()],
            ['key' => 'site_phone', 'value' => +123456789, 'created_at' => now()],
            ['key' => 'mail_driver', 'value' =>'smtp', 'created_at' => now()],
            ['key' => 'mail_host', 'value' =>'localhost', 'created_at' => now()],
            ['key' => 'mail_port', 'value' =>465, 'created_at' => now()],
            ['key' => 'mail_username', 'value' =>'share@b.alyomhost.net', 'created_at' => now()],
            ['key' => 'mail_password', 'value' =>'vTCfnbe1g4{2', 'created_at' => now()],
            ['key' => 'mail_encryption', 'value' => null, 'created_at' => now()],
            ['key' => 'mail_from_address', 'value' =>'info@familylawyer.com', 'created_at' => now()],
            ['key' => 'mail_from_name', 'value' =>'SHARE', 'created_at' => now()],
            ['key' => 'facebook', 'value' =>'https://www.facebook.com', 'created_at' => now()],
            ['key' => 'linkedin', 'value' =>'https://www.linkedin.com', 'created_at' => now()],
            ['key' => 'twitter', 'value' =>'https://www.twitter.com', 'created_at' => now()],
            ['key' => 'instagram', 'value' =>'https://www.instagram.com', 'created_at' => now()],
            ['key' => 'website_logo', 'value' => 'logo.png', 'created_at' => now()],
            ['key' => 'map_link', 'value' => 'https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d927755.0521049668!2d46.2620167734785!3d24.725398072981186!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3e2f03890d489399%3A0xba974d1c98e79fd5!2sRiyadh%2011564%2C%20Saudi%20Arabia!5e0!3m2!1sen!2seg!4v1614876123139!5m2!1sen!2seg', 'created_at' => now()],
            ['key' => 'website_disable', 'value' => 0, 'created_at' => now()],
            ['key' => 'dashboard_disable', 'value' => 0, 'created_at' => now()],
        ]);

//        DB::table('settings')->update(['created_at' => now()]);
    }
}
